var i18n;
function seleccionarIdioma(idioma) {
    /* Json con las traducciones al idioma ingles */
    var trad = {
        "Grabaciones": "Recordings",
        "Listado": "",
        "Calificaciones": "Qualifications",
        "Logs": "",
        "Opciones de búsqueda": "",
        "Cuenta": "",
        "Filtro": "",
        "Todas": "",
        "Entrada": "",
        "Salida": "",
        "Todos": "",
        "Audios reproducidos": "",
        "Identificador": "ID",
        "Nombre": "Name",
        "Telefono": "Telephone",
        "Usuario": "User",
        "Cualquier usuario": "",
        "Campaña": "",
        "Cualquier campaña": "",
        "Lista": "",
        "Codigo de calificación": "",
        "Cualquier codigo": "",
        "Fecha de": "",
        "Fecha hasta": "",
        "Duración de": "",
        "Duración hasta": "",
        "Aplicar sobre las grabaciones archivadas": "",
        "Buscar": "",
        "Descarga": "Download",
        "Eliminar grabaciones permanentemente": "",
        "Grafica de llamadas calificadas": "",
        "Descargar reporte": "",
        "Filtros": "Filters",
        "Sin calificar": "",
        "Primera": "First",
        "Id": "ID",
        "Acciones": "Actions",
        "Ultima": "Last",
        "Crear nuevo estatus de calificación": "Create a new qualification status",
        "Detalle": "Detail",
        "Fecha": "Date",
        "Hora": "",
        "Direccion IP": "",
        "Tipo": "Type",
        "Usuarios": "",
        "Modificar Usuario": "",
        "Contraseña": "Password",
        "Permitir": "",
        "Prohibir": "",
        "Cancelar": "",
        "Guardar": "Save",
        "Reproduccion de Grabación": "",
        "Cerrar": "Close",
        "Crear estatus de calificación": "Create qualification Status",
        "Nombre del estatus de calificación": "Name of Qualification Status",
        "Color de la calificaión": "Qualification Color",
        "Editar estatus de calificación": "",
        "Califica grabación": "",
        "Comentario": "",
        "Llamadas calificadas": "",
        "USA - Ingles": "",
        "MEX - Español": "",
        "Identificador": "ID",
        "Fecha": "Date",
        "Hora Inicio": "Start Time",
        "Hora Fin": "End Time",
        "Duracion": "Duration",
        "Nombre del Status": "Status Name",
        "Escuchado": "Already Listened",
        "Reproducir": "Play",
        "Editar estatus": "Edit Status",
        "Eliminar grabación": "Delete Recording",
    };

    i18n = window.i18n();
    if (idioma == "" || idioma == null) {
        i18n.setMessages("messages", "es", trad, "nplurals=2; plural=n>1;");
        i18n.setLocale("es");
    } else {
        switch (idioma) {
            case "en":
                i18n.setMessages(
                    "messages",
                    idioma,
                    trad,
                    "nplurals=2; plural=n>1;"
                );
                i18n.setLocale(idioma);
                break;

            case "es":
                /**
                 * i18n.setMessages("messages", "es", trad, "nplurals=2; plural=n>1;");
                 * i18n.setLocale("es");
                 *
                 *
                 */
                break;

            default:
                break;
        }
    }
}
function traducirFrase(palabra) {
    return i18n.gettext(palabra ? palabra : "");
}
function traducir(palabra) {
    var algo = i18n.gettext(palabra);
    //console.log(palabra);
    document.write(algo);
}

function traducir2(palabra) {
    var algo = i18n.gettext(palabra);
    return algo;
}

function cambiaridioma() {
    localStorage.setItem("idioma", document.getElementById("televox_lang").value)
    location.reload();
}

function cambioManual(id, palabra) {
    document.getElementById(id).innerHTML = i18n.gettext(palabra);
}
